https://bugs.gentoo.org/817128
https://github.com/hhoffstaette/portage/blob/master/dev-util/sysdig/files/0.27.1-grpc-absl-sync.patch
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -552,6 +552,7 @@ if(NOT WIN32 AND NOT APPLE)
 			else()
 				message(FATAL_ERROR "Couldn't find system grpc")
 			endif()
+			find_library(ABSL_SYNC_LIB NAMES absl_synchronization)
 			find_program(GRPC_CPP_PLUGIN grpc_cpp_plugin)
 			if(NOT GRPC_CPP_PLUGIN)
 				message(FATAL_ERROR "System grpc_cpp_plugin not found")
--- a/userspace/libsinsp/CMakeLists.txt
+++ b/userspace/libsinsp/CMakeLists.txt
@@ -214,6 +214,10 @@ if(NOT WIN32)
 				"${JQ_LIB}"
 				"${B64_LIB}")
 
+			if(ABSL_SYNC_LIB)
+				target_link_libraries(sinsp "${ABSL_SYNC_LIB}")
+			endif()
+
 			if(NOT MUSL_OPTIMIZED_BUILD)
 			target_link_libraries(sinsp
 				rt
